Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.transaction.xa
Interface Xid

public interface Xid

The Xid interface is a Java mapping of the X/Open transaction identifier XID structure. This interface specifies three accessor methods to retrieve a global transaction format ID, global transaction ID, and branch qualifier. The Xid interface is used by the transaction manager and the resource managers. This interface is not visible to the application programs.

Field Summary
`static int` | `MAXBQUALSIZE` Maximum number of bytes returned by getBqual.
`static int` | `MAXGTRIDSIZE` Maximum number of bytes returned by getGtrid.

Method Summary
`byte[]` | `getBranchQualifier()` Obtain the transaction branch identifier part of XID as an array of bytes.
`int` | `getFormatId()` Obtain the format identifier part of the XID.
`byte[]` | `getGlobalTransactionId()` Obtain the global transaction identifier part of XID as an array of bytes.

Field Detail

### MAXGTRIDSIZE

    public static final int MAXGTRIDSIZE

  Maximum number of bytes returned by getGtrid.

  See Also:
    Constant Field Values

### MAXBQUALSIZE

    public static final int MAXBQUALSIZE

  Maximum number of bytes returned by getBqual.

  See Also:
    Constant Field Values

Method Detail

### getFormatId

    public int getFormatId()

  Obtain the format identifier part of the XID.

  Returns:
    Format identifier. O means the OSI CCR format.

### getGlobalTransactionId

    public byte[] getGlobalTransactionId()

  Obtain the global transaction identifier part of XID as an array of bytes.

  Returns:
    Global transaction identifier.

### getBranchQualifier

    public byte[] getBranchQualifier()

  Obtain the transaction branch identifier part of XID as an array of bytes.

  Returns:
    Global transaction identifier.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2003 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.